# mysqlpp::ScopedConnection Class Reference

Grabs a Connection from a ConnectionPool on construction and releases it back to the pool on destruction, and provides access to the relevant Connection pointer. More...

`#include <scopedconnection.h>`

Collaboration diagram for mysqlpp::ScopedConnection:

[legend]
List of all members.

## Public Member Functions

| ScopedConnection (ConnectionPool &pool, bool safe=false)
| Standard constructor.
| ~ScopedConnection ()
| Destructor.
Connection * | operator-> () const
| Access the Connection pointer.
Connection & | operator * () const
| Dereference.
| operator void * () const
| Truthiness operator.

## Detailed Description

Grabs a Connection from a ConnectionPool on construction and releases it back to the pool on destruction, and provides access to the relevant Connection pointer.

## Constructor & Destructor Documentation

mysqlpp::ScopedConnection::ScopedConnection | ( | ConnectionPool & | pool,
|  | bool | safe = `false` |
| ) |  |  | `[explicit]`

Standard constructor.

Grabs a Connection from the specified pool.

mysqlpp::ScopedConnection::~ScopedConnection | ( |  | ) |

Destructor.

Releases the Connection back to the ConnectionPool.

The documentation for this class was generated from the following files:

- scopedconnection.h
- scopedconnection.cpp